%% Clase Matlab M02 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Author:   Roberto Ortega
% Email:    roberto.ortega.a@usach.cl
% Fecha:    17.10.2013
%
%
%% IMPORTANTE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Para mas detalles de las funciones o comandos use:
% Por ejemplo, para la funcion <<sin(x)>>:
%   help sin
%   doc sin
%
%% Grafico 2D: Usando un fichero de datos

clc, clear all, close all

dd = load('Datos.txt')

tt = dd(:,1)

y1 = dd(:,2)
y2 = dd(:,3)
y3 = dd(:,7)

hold on
plot(tt,y1,'-rs')
plot(tt,y2,'-b*')
plot(tt,y3,'-go')

xlim([0 1])
%ylim([-1 1]*1e-4)

%axis([0 1 -1e-4 1e-4])

title('Force vs. Time')

xlabel('Time (s)')
ylabel('Force (N)')

grid on
%grid minor

legend('Force A','Force B','Force C')

text(0.1,2.5e-4,'Max Force A','Color','r')

% %% Grafico 3D
% 
% clc, clear all, close all
% 
% [X,Y] = meshgrid(-2:.2:2, -2:.2:2);                                
% Z = X .* exp(-X.^2 - Y.^2);                                        
% surf(X,Y,Z)
% %surfc(X,Y,Z)
% %contour(X,Y,Z)
% %contourf(X,Y,Z)
% 
% % Ejemplo de meshgrid
% % [X,Y] = meshgrid(1:3,10:14)
% 
% %grid on